<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: veryide_files.php,v2 19:47 2008-2-21 Leilei $
*/

require("../../include/header.php");

html_start("系统优化&清理 - VeryIDE");
?>

<!--body start-->

	<?php
    //loader
    loader_setting("naver.secure");
    
    $action = GetQuery("action");
    
    if(!$action){
    
        echo '
        <div id="board">
            <img src="image/icon/clipboard_48.png" class="logo" />
            <p>系统优化和清理工具<br>
            请定期对系统缓存进行清理，并按优化建议对系统进行最优配置</p>
            <span class="clear"></span>
        </div>
        ';
    }else{
		
		//检查权限
		$func = "sys-system-cache";
		checker_func($func);
		
        //mysql open
        reader_mysql();
    
        $action = GetQuery("action");
        
        $action_title="";
        $action_result=false;
        
        switch($action){
            case "clear":
            
                $file = GetQuery("file");
                
                $action_title="清除".$file."缓存";
                $cahe_path= $Project["cache"].$file."/";
                
                //开始时间
                $start=time();
                
                //删除并重建目录
                if( delete_dir($cahe_path) && create_dir($cahe_path) ){
                    //写入日志
                    event_insert($mysql,$func,$start,time(),'清除系统查询缓存'.$ext);

                    $action_result=true;
                }else{
                    //写入日志
                    event_insert($mysql,$func,$start,time(),'清除系统查询缓存<span class="text-no">失败</span>'.$ext);

                    $action_result=false;
                }
                
            break;
            
            case "":
                $action_title="";
            
            break;
            
            case "":
                $action_title="";
            
            break;			
        }
        
        //mysql close
        reader_mysql(true);
        
        if($action){
            if($action_result){
                echo '
                <div id="board">
                <p>操作成功，执行 <span class="text-key">'.$action_title.'</span>
                <br>您已经成功执行 <span class="text-key">'.$action_title.'</span> 操作</p>
                </div>
                ';
            }else{
                echo '
                <div id="board">
                <p>非常抱歉，执行 <span class="text-key">'.$action_title.'</span> 失败
                <br>请确保您有执行 <span class="text-key">'.$action_title.'</span> 操作的权限，或系统目录有相应的权限</p>
                </div>
                ';
            }
        }
		
	}
    ?>

    <?php
    
    function get_all_errors($att,$val,$msg){
    
        $result = '<tr class="green">';
            $result.= '<td>'.$att.'</td>';
            $result.= '<td>'.$val.'</td>';
            $result.= '<td>'.$msg.'</td>';
        $result.= '</tr>';
        
        return $result;
    
    }
        
        
    ?>
    
    <?php
	
	//var_dump($Group);
	
	//echo $Group["sys-system-cache"];
    
    if( $Group["sys-system-cache"]=="Y" ){    
        
        echo '
        <fieldset>
        <legend>系统工具</legend>
            <table width="100%" border="0" cellpadding="1" cellspacing="1" class="table">
            <tr class="title">
                <td width="120">工具</td>
                <td>作用</td>
                <td width="120"></td>
            </tr>
            
            <tr class="line">
                <td>清除查询缓存</td>
                <td>清除数据查询缓存，删除因查询语句改动而失效的多余缓存，此过程会清空所有查询缓存</td>						
                <td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=sql\';" /></td>
            </tr>
            
            <tr class="line">
                <td>清除页面缓存</td>
                <td>清除页面内容缓存，删除页面加速生成的周期性缓存，此缓存在一定时间之后还会产生</td>						
                <td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=page\';" /></td>
            </tr>
            
            <tr class="line">
                <td>清除RSS缓存</td>
                <td>清除RSS内容缓存，删除RSS内容读取缓存，RSS缓存可能在部分功能模块中有涉及</td>						
                <td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=rss\';" /></td>
            </tr>
            
            <tr class="line">
                <td>清除图片缓存</td>
                <td>清除临时图片缓存，删除报表等功能生成的图片缓存，此过程不会影响上传的图片文件</td>						
                <td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=image\';" /></td>
            </tr>
            
            </table>		
        </fieldset>		
        ';
    }
    

    ?>
    
    <fieldset>
        <legend>优化建议</legend>
        
        <table width="100%" border="0" cellpadding="1" cellspacing="1" class="table">
            <tr class="title">
                <td>位置</td>
                <td>最佳值</td>
                <td>建议</td>
            </tr>
            
            <tr class="item"><td colspan="4"> <img src="<?php echo VI_BASE;?>image/icon/document.png" /> 配置文件：<span class="text-key">veryide/config/version.php</span> </td></tr>
            
            <?php
            
            if( $Global["upload"]=="on" ){
                echo get_all_errors('$Global["upload"]','off','设为 off 将禁止上传文件，可以提高系统安全性，请根据需要设置');
            }
            
			/*
            if( $Global["upload"]=="on" && !$veryide_upload_folder){
                echo get_all_errors('$veryide_upload_folder','true','设为 true 上传文件时会自动创建相应的目录分类，否则需要手工创建');
            }
			*/
            
            if( !$Global["statcode"] ){
                echo get_all_errors('$Global["statcode"]','[HTML代码]','这里可以放置统计代码，如 Google Analytics 代码，用于专题或表单的页面统计分析');
            }
            
            if( !$Global["topmenu"] ){
                echo get_all_errors('$Global["topmenu"]','[HTML代码]','这里可以放置HTML代码，用户登录后可见，可以用于其它平台的快速链接');
            }
            
            if( !VI_DBCHARSET && $Project["charset"]=='gbk' ){
                echo get_all_errors('VI_DBCHARSET','latin1','如果数据库中中文乱码，可以将此处设置为 latin1 来解决大部分乱码问题');
            }
            
            ?>
        
        </table>

    </fieldset>

</div>

<!--body end-->

<?php html_close();?>